<template>


	<div class="cg-product-grid-wrap font1">
                <div class="cg-dash-items-grid cg-seller-dash-padding">
                    <ul class="cg-seller-dash-nav d-flex justify-content-start">
                        <li><router-link  :to="{ name: 'live' }" active-class = "cg-active w700" >Live</router-link></li>
                        <li><router-link :to="{ name: 'rejected'  }" active-class = "cg-active w700">Rejected</router-link></li>
                        <li ><router-link :to="{ name: 'pending'  }" active-class = "cg-active w700" >Under Review</router-link></li>
                    </ul>

                    <router-view :user="user_"></router-view>

                </div>

    </div>
</template>

<style lang="scss" scoped>
.cg-product-grid-wrap .product_wrap{
    min-height: 300px;
}
</style>
<script>
    import Preloader from '../components/Preloader.vue';

    export default {
        props: ['user','message','countries'],

        data(){
            return{
                message_:this.message,
                user_:JSON.parse(this.user),
                countries_:JSON.parse(this.countries),

            }

        },
        components:{
            Preloader
        },

        methods: {

             preLoad: function() {
              // just open
              const close = this.$preloaders.open({
                container: ".cg-product-grid-wrap",
                component:Preloader,
                  "overlayStyle": {
                    "backgroundColor": "#fff",
                    "opacity": 1,
                  }
              });

              // and close. That's it.
              setTimeout(close, 1500);
            }

        },
        mounted(){

             this.preLoad() ;

        },
          watch: {

          }
    }

</script>
